﻿using System;
using System.Collections.Generic;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace DemoSample
{
	public partial class DemoSamplePage : ContentPage
	{
		DateTime startDate;
		DateTime endDate;
		public DemoSamplePage()
		{
			InitializeComponent();
			AcceptButton.Clicked += AcceptButton_Clicked;
			startDate = DateTime.Now;
			endDate = DateTime.Now.AddDays(10);
		}

		void AcceptButton_Clicked(object sender, System.EventArgs e)
		{
			List<DateTime> sdates = new List<DateTime>();
			for (DateTime i = startDate; i <= endDate; i = i.AddDays(1))
			{
				sdates.Add(i);
			}
			calendar.SelectedDates = sdates;
		}
	}
}
